org.apache.commons.math.ode.jacobians

## Interface ODEWithJacobians

All Superinterfaces:
  FirstOrderDifferentialEquations

All Known Implementing Classes:
  FirstOrderIntegratorWithJacobians.FiniteDifferencesWrapper

Deprecated.
as of 2.2 the complete package is deprecated, it will be replaced in 3.0 by a completely rewritten implementation

    @Deprecated
    public interface ODEWithJacobians
    extends FirstOrderDifferentialEquations

This interface represents `first order differential equations` with parameters and partial derivatives.

Since:
  2.1
Version:
  $Revision: 1073158 $ $Date: 2011-02-21 22:46:52 +0100 (lun. 21 févr. 2011) $
See Also:
  `FirstOrderIntegratorWithJacobians`

### Method Summary

Methods
`void` `computeJacobians(double t, double[] y, double[] yDot, double[][] dFdY, double[][] dFdP)` Deprecated. Compute the partial derivatives of ODE with respect to state.
`int` `getParametersDimension()` Deprecated. Get the number of parameters.

### Methods inherited from interface org.apache.commons.math.ode.FirstOrderDifferentialEquations

`computeDerivatives, getDimension`

### Method Detail

#### getParametersDimension

    int getParametersDimension()

Deprecated.
Get the number of parameters.

Returns:
  number of parameters

#### computeJacobians

    void computeJacobians(double t,
                        double[] y,
                        double[] yDot,
                        double[][] dFdY,
                        double[][] dFdP)
                          throws DerivativeException

Deprecated.
Compute the partial derivatives of ODE with respect to state.

Parameters:
  `t` - current value of the independent time variable
  `y` - array containing the current value of the state vector
  `yDot` - array containing the current value of the time derivative of the state vector
  `dFdY` - placeholder array where to put the jacobian of the ODE with respect to the state vector
  `dFdP` - placeholder array where to put the jacobian of the ODE with respect to the parameters
Throws:
  `DerivativeException` - this exception is propagated to the caller if the underlying user function triggers one